package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class PeriodVersionDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(PeriodVersionDTO.class);
        PeriodVersionDTO periodVersionDTO1 = new PeriodVersionDTO();
        periodVersionDTO1.setId(1L);
        PeriodVersionDTO periodVersionDTO2 = new PeriodVersionDTO();
        assertThat(periodVersionDTO1).isNotEqualTo(periodVersionDTO2);
        periodVersionDTO2.setId(periodVersionDTO1.getId());
        assertThat(periodVersionDTO1).isEqualTo(periodVersionDTO2);
        periodVersionDTO2.setId(2L);
        assertThat(periodVersionDTO1).isNotEqualTo(periodVersionDTO2);
        periodVersionDTO1.setId(null);
        assertThat(periodVersionDTO1).isNotEqualTo(periodVersionDTO2);
    }
}
